Subject: Re: WARN: multiple IDs found for 'nf_conn': 92168, 117897 - using 92168

From: Jakub Kicinski <[email-masked]>
Date: Fri, 21 Oct 2022 22:36:12 -0700

On Fri, 21 Oct 2022 23:34:13 +0200 Jiri Olsa wrote:
> > You are right, they should be identical once PTR is deduplicated
> > properly. Sorry, was too quick to jump to conclusions. I was thinking
> > about situations explained by Alan.
> > 
> > So, is this still an issue or this was fixed by [0]?
> > 
> >   [0] https://lore.kernel.org/bpf/[email-masked]/  
> 
> yes, it seems to be fixed by that
> 
> Jakub,
> could you check with pahole fix [1]?

If you mean the warning from the subject then those do seem to be gone.
But if I'm completely honest I don't remember how I triggered them in
the first place :S There weren't there on every build for me.

The objtool warning is still here:

$ make PAHOLE=~/pahole O=build_allmodconfig/ -j 60 >/tmp/stdout 2>/tmp/stderr; \
    cat /tmp/stderr 

vmlinux.o: warning: objtool: ___ksymtab+bpf_dispatcher_xdp_func+0x0: data relocation to !ENDBR: bpf_dispatcher_xdp_func+0x0 
vmlinux.o: warning: objtool: bpf_dispatcher_xdp+0xa0: data relocation to !ENDBR: bpf_dispatcher_xdp_func+0x0